Uploaded image for project: 'ui-circulation'
  1. ui-circulation
  2. UICIRC-576

react-codemirror2@"^1.0.0" causes peer-dep inconsistency

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Closed (View Workflow)
    • Priority: TBD
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 6.0.0
    • Labels:
      None
    • Template:
    • Sprint:
      EPAM-Veg Sprint 117
    • Story Points:
      1
    • Development Team:
      Vega

      Description

      npm WARN ERESOLVE overriding peer dependency
      npm WARN Found: react@16.14.0
      npm WARN node_modules/react
      npm WARN   react@"^16.13.1" from the root project
      npm WARN   121 more (platform-complete, stripes-components, ...)
      npm WARN 
      npm WARN Could not resolve dependency:
      npm WARN peer react@">=15.5 <16" from react-codemirror2@1.0.0
      npm WARN node_modules/react-codemirror2
      npm WARN   react-codemirror2@"^1.0.0" from ui-circulation@5.0.0
      npm WARN   ui-circulation
       

        TestRail: Results

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                Dmitriy Litvinenko Dmitriy Litvinenko
                Reporter:
                zburke Zak_Burke
                Tester Assignee:
                Darcy Branchini Darcy Branchini
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:

                    TestRail: Runs

                      TestRail: Cases